```diff
diff --git a/TeeChart.PCL.NET5/TeeChart.WinForm/UtilsWF.cs b/TeeChart.PCL.NET5/TeeChart.WinForm/UtilsWF.cs
index af5ff2e6..dbaa1a8d 100644
--- a/TeeChart.PCL.NET5/TeeChart.WinForm/UtilsWF.cs
+++ b/TeeChart.PCL.NET5/TeeChart.WinForm/UtilsWF.cs
@@ -5,6 +5,7 @@ using System.Drawing.Text;
 using System.IO;
 using System.Reflection;
 using System.Runtime.InteropServices;
+using System.Security;
 using System.Web;
 using System.Windows.Forms;
 using Microsoft.Win32;
@@ -192,7 +193,14 @@ namespace Steema.TeeChart
 
         public static void Registry_SetValue(string keyName, string valueName, object value)
         {
-            Registry.SetValue(keyName, valueName, value);
+            try
+            {
+                Registry.SetValue(keyName, valueName, value);
+            }
+            catch (System.UnauthorizedAccessException)
+            {
+               
+            }
         }
 
         private static PrivateFontCollection privateFonts;

```